{% header "Content-Type: application/json" %}

{% set zones = [] %}



{% set zonesEntries = craft.entries.section('zones').orderBy('title').all() %}



{% for zoneEntry in zonesEntries %}

    {% if zoneEntry.zHouses | length > 0 %}
        {% set image=zoneEntry.zHouses[0].pImages[0].url %}
    {% else %}
        {% set image=zoneEntry.zPhotos[0].url %}
    {% endif %}


    {% set zones = zones | merge([
        {
            "slug": zoneEntry.slug,
            "name": zoneEntry.title,
            "latitude": zoneEntry.zLatitude,
            "longitude": zoneEntry.zLongitude,
            "image":image
        }
    ]) %}
{% endfor %}


{{zones|json_encode|raw}}
